"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChatService = void 0;
const tslib_1 = require("tslib");
const di_1 = require("@opensumi/di");
const ide_core_common_1 = require("@opensumi/ide-core-common");
const common_1 = require("../../common");
const chat_internal_service_1 = require("./chat.internal.service");
let ChatService = class ChatService extends ide_core_common_1.Disposable {
    constructor() {
        super(...arguments);
        this._onChatMessageLaunch = new ide_core_common_1.Emitter();
        this.onChatMessageLaunch = this._onChatMessageLaunch.event;
        this._onChatReplyMessageLaunch = new ide_core_common_1.Emitter();
        this.onChatReplyMessageLaunch = this._onChatReplyMessageLaunch.event;
    }
    sendMessage(data) {
        this._onChatMessageLaunch.fire(data);
    }
    /**
     * 主动以 ai role 的身份回复消息
     */
    sendReplyMessage(data) {
        this._onChatReplyMessageLaunch.fire(data);
    }
};
tslib_1.__decorate([
    (0, di_1.Autowired)(common_1.IChatInternalService),
    tslib_1.__metadata("design:type", chat_internal_service_1.ChatInternalService)
], ChatService.prototype, "chatInternalService", void 0);
ChatService = tslib_1.__decorate([
    (0, di_1.Injectable)()
], ChatService);
exports.ChatService = ChatService;
//# sourceMappingURL=chat.api.service.js.map