"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StreamReplyRender = void 0;
const tslib_1 = require("tslib");
const React = tslib_1.__importStar(require("react"));
const ide_core_browser_1 = require("@opensumi/ide-core-browser");
const index_1 = require("../../common/index");
const ChatMarkdown_1 = require("./ChatMarkdown");
const StreamMsg_1 = require("./StreamMsg");
// 流式输出渲染组件
const StreamReplyRender = (props) => {
    const { prompt, params } = props;
    const { relationId, renderContent } = params;
    const aiChatService = (0, ide_core_browser_1.useInjectable)(index_1.IChatInternalService);
    const send = React.useCallback((isRetry = false) => {
        aiChatService.setLatestSessionId(relationId);
        aiChatService.messageWithStream(prompt, isRetry ? { enableGptCache: false } : {}, relationId);
    }, [aiChatService, relationId, prompt]);
    return (React.createElement(StreamMsg_1.StreamMsgWrapper, { sessionId: relationId, prompt: prompt, onRegenerate: () => send(true), renderContent: (content, status) => renderContent ? renderContent(content, status) : React.createElement(ChatMarkdown_1.ChatMarkdown, { markdown: content, fillInIncompleteTokens: true }) }));
};
exports.StreamReplyRender = StreamReplyRender;
//# sourceMappingURL=StreamReplyRender.js.map